
particle = {}

function particle.prerequisitesPresent(specializations)
    -- return true;
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function particle:load(savegame)


    self.threshingParticleSystems = {};
      local psName = "vehicle.threshingParticleSystem";
     Utils.loadParticleSystem(self.xmlFile, self.threshingParticleSystems, psName, self.components, false, nil, self.baseDirectory)




end;


function particle:delete()

 Utils.deleteParticleSystem(self.threshingParticleSystems);
   end;


function particle:update(dt)

-- Utils.setEmittingState(self.threshingParticleSystems, (self.isTurnedOn));


end;


function particle:updateTick(dt)


if self.turnOnVehicle.isTurnedOn  and entry.lastFillLevel ~= entry.fillLevel then

        Utils.setEmittingState(self.threshingParticleSystems, true);
        entry.lastFillLevel = entry.fillLevel;    
         else
        Utils.setEmittingState(self.threshingParticleSystems, false);

    end;
end;


function particle:draw()
end;

function particle:onEnter()
end;

function particle:onLeave()



end;

function particle:onDeactivate()

 if self.threshingParticleSystemActive then
         self.threshingParticleSystemActive = false;
           Utils.setEmittingState(self.threshingParticleSystems, false);
     end;
end;

function particle:keyEvent(unicode, sym, modifier, isDown)
end;

function particle:mouseEvent(posX, posY, isDown, isUp, button)
end;
